ReferenceWhatsApp Business API
Mark message as read (optional typing)
POST
Mark an inbound message as read. Optionally show the WhatsApp typing indicator (up to ~25 seconds or until the customer replies) by setting typingIndicator: true. Typing cannot be sent without marking the message as read.
JWT tokenquery
token<token>- body
messageId?stringMessage ID. Example: 0XzkmGNn4prUAQlzsHApGNRXQ0U
msgId?stringAlias for messageId (either messageId or msgId is required).
typingIndicator?booleanIf true, also show the WhatsApp typing indicator after marking the message as read (max ~25s or until the customer replies).
Default
falseServer response example
application/json- response
result?stringcurl -X POST 'https://api.1msg.io/123/readMessage' \ -H 'Content-Type: application/json' \ -d '{ "messageId": "wamid.HBgLdemo-text-001", "typingIndicator": true}'{ "result": "success"}